gleSetNumSides(3GLE)

NAME
gleSetNumSides, gleGetNumSides - Query and Set the cylinder roundness.

SYNTAX

void gleSetNumSides (int nslices);
int gleGetNumSides (void);

ARGUMENTS

nslices
    positive integer number of slices

DESCRIPTION

Query and set the GLE cylinder and cone roundness. When GLE draws a cylinder or a cone, it approximates the circular cross-section with a polygon (of 20 sides by default). These subroutines can be used to change the default number of sides in this cross-section. A smaller number of sides can typically be drawn much faster, at the loss of some visual accuracy. Increasing the number of sides to more than 20 will typically have no noticeable visual effect.

BUGS

Multiple threads using GLE share a single global number of sides (although this should be easily fixable because GLE does use a centralized graphics context).

SEE ALSO
glePolyCylinder, glePolyCone

AUTHOR
Linas Vepstas (linas@linas.org)